<!-- register.component.html -->

<div class="register-container">
    <h2>Employee Registration</h2>
    <form (ngSubmit)="onSubmit()">
      <label for="empId">Employee ID:</label>
      <input type="text" id="empId" name="empId" [(ngModel)]="empId" required>
  
      <label for="empName">Employee Name:</label>
      <input type="text" id="empName" name="empName" [(ngModel)]="empName" required>
  
      <label for="salary">Salary:</label>
      <input type="text" id="salary" name="salary" [(ngModel)]="salary" required>
  
      <label for="gender">Gender:</label>
      <select id="gender" name="gender" [(ngModel)]="gender" required>
          <option value="male">Male</option>
          <option value="female">Female</option>
          <option value="other">Other</option>
      </select>
  
      <label for="doj">Date of Joining:</label>
      <input type="date" id="doj" name="doj" [(ngModel)]="doj" required>
  
      <label for="country">Country:</label>
      <select id="country" name="country" [(ngModel)]="country" required>
          <option value="usa">USA</option>
          <option value="canada">Canada</option>
          <option value="uk">UK</option>
          <!-- Add more options as needed -->
      </select>
  
      <label for="emailId">Email ID:</label>
      <input type="email" id="emailId" name="emailId" [(ngModel)]="emailId" required>
  
      <label for="password">Password:</label>
      <input type="password" id="password" name="password" [(ngModel)]="password" required>
  
      <label for="deptId">Department ID:</label>
      <select id="deptId" name="deptId" [(ngModel)]="deptId" required>
          <option value="it">IT</option>
          <option value="hr">HR</option>
          <option value="finance">Finance</option>
          <!-- Add more options as needed -->
      </select>
  
      <button type="submit">Register</button>
    </form>
  </div>